Jump to content

ESET PROTECT 9.1.18.1 (hotfix) - Problem access console after Update onprem


informatech
 Share

Recommended Posts

Good evening to everyone, I wanted to report that after launching the update in question on my on premise virtual machine, I receive the following error message when I try to access the console: Login failed: Connection has failed with state "loginConnectionStateNotConnected". I checked the version of the odbc driver: Odbc 8.0 Unicode Driver
Odbc 8.0 Ansi Driver. Thanks in advance

Link to comment
Share on other sites

Hello,

I confirm ,I have the same issue  on my ubuntu 1804.

I contacted the eset support , but they answered me that they were not competent under linux

 

eset-pb.png

Link to comment
Share on other sites

I found the solution ,

1/verify if you have the good version of mysql odbc connector (for me myodbc-installer -d -l)

MySQL ODBC 8.0


then open your odbc.ini and check

[MySQL ODBC 8.0]
Driver=/usr/local/lib/libmyodbc8a.so
Setup=/usr/local/lib:libmyodbc8S.so
FileUsage=1
UsageCount=3

 

Link to comment
Share on other sites

  • Administrators
On 8/5/2022 at 10:31 AM, bruno67 said:

I contacted the eset support , but they answered me that they were not competent under linux

Technical support must not refuse a ticket just because they are not well versed in a particular OS for instance. They can contact ESET HQ for assistance, if necessary. We have reached out to French technical support to explain why they refused your ticket, however, it would help if we could get the ticket ID for identification.

Link to comment
Share on other sites

  • Administrators
39 minutes ago, Mr.Gains said:

I thought I saw somewhere we can't go above 5.x ODBC driver for MySQL? Was this recently change for ESET Protect?

A list of supported MySQL ODBC drivers is available at https://help.eset.com/protect_install/91/en-US/database_requirements.html:

  • 5.1, 5.2
  • 5.3.0-5.3.10
  • 8.0.16, 8.0.17
  • 8.0.27 (Windows only)
Link to comment
Share on other sites

  • 2 weeks later...

I get that same error and i have it with linux (red type).I tried going terminal and downgrading odbc to 5.3 and it didnt work still!

I m now trying to find link to 8.0 version similar to this one 

https://downloads.mysql.com/archives/get/p/10/file/mysql-connector-odbc-5.3.10-1.el7.x86_64.rpm 

so i can pull new version again but no luck.

If anyone can find me such link i would be gratefull.

 

Edited by Rasko
Stuff i forgot to write!
Link to comment
Share on other sites

Guest
This topic is now closed to further replies.
 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...